[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TLoginEvent

Login event handler

## Declaration

Source position: db.pas line 1837

`type TLoginEvent = procedure(`
`Sender: TObject;`
`Username: String;`
`Password: String`
`) of object;`

## Arguments

`Sender` |  | TCustomConnection that is attempting a login
`Username` |  | Username used to log in
`Password` |  | Password used to log in.

## Description

TLoginEvent is the prototype for a the the TCustomConnection.OnLogin event handler. It gets passed the TCustomConnection instance that is trying to login, and the initial username and password.

## See also

TCustomConnection.OnLogin |  | Event triggered when a login prompt is shown.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .